# $Revision: 1.117 $, $Date: 2012/04/17 18:12:41 $
#
# TODO:
#  - most of the qemu config options aren't detected (curses, NPTL, vde, fdt)
#
#
# Conditional build:
%bcond_without	ocaml		# build Ocaml libraries for Xen tools
#
%define	xen_extfiles_url	http://xenbits.xensource.com/xen-extfiles
Summary:	Xen - a virtual machine monitor
Summary(pl.UTF-8):	Xen - monitor maszyny wirtualnej
Name:		xen
Version:	4.1.2
Release:	3
License:	GPL v2, interface parts on BSD-like
Group:		Applications/System
Source0:	http://bits.xensource.com/oss-xen/release/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	73561faf3c1b5e36ec5c089b5db848ad
# used by stubdoms
Source10:	%{xen_extfiles_url}/lwip-1.3.0.tar.gz
# Source10-md5:	36cc57650cffda9a0269493be2a169bb
Source11:	%{xen_extfiles_url}/newlib-1.16.0.tar.gz
# Source11-md5:	bf8f1f9e3ca83d732c00a79a6ef29bc4
Source12:	%{xen_extfiles_url}/zlib-1.2.3.tar.gz
# Source12-md5:	debc62758716a169df9f62e6ab2bc634
Source13:	%{xen_extfiles_url}/pciutils-2.2.9.tar.bz2
# Source13-md5:	cec05e7785497c5e19da2f114b934ffd
Source14:	%{xen_extfiles_url}/grub-0.97.tar.gz
# Source14-md5:	cd3f3eb54446be6003156158d51f4884
Source15:	%{xen_extfiles_url}/ipxe-git-v1.0.0.tar.gz
# Source15-md5:	fb7df96781d337899066d82059346885
Source30:	proc-xen.mount
Source31:	var-lib-xenstored.mount
Source32:	blktapctrl.service
Source33:	blktapctrl.sysconfig
Source34:	xenconsoled.service
Source35:	xenconsoled.sysconfig
Source36:	xenstored.service
Source37:	xenstored.sysconfig
Source38:	xenstored.tmpfiles
Source39:	xend.service
Source40:	xend.tmpfiles
Source41:	xen-watchdog.service
Source42:	xen-dom0-modules-load.conf
# sysvinit scripts
Source50:	xend.init
Source51:	xenconsoled.init
Source52:	xenstored.init
Source53:	xen-watchdog.init
Source54:	xendomains.init
Source55:	xen.logrotate
Patch0:		%{name}-python_scripts.patch
Patch1:		%{name}-symbols.patch
Patch2:		%{name}-curses.patch
Patch3:		%{name}-xz.patch
Patch4:		pygrubfix.patch
Patch5:		pygrubfix2.patch
Patch6:		qemu-xen-4.1-testing.git-3cf61880403b4e484539596a95937cc066243388.patch
Patch7:		xen-4.1-testing.23190.patch
Patch8:		xend.catchbt.patch
Patch9:		xend.empty.xml.patch
Patch10:	xend-pci-loop.patch
Patch11:	xen-dumpdir.patch
Patch12:	xen-net-disable-iptables-on-bridge.patch
Patch13:	xen-configure-xend.patch
Patch14:	xen-initscript.patch
# stubdom patch
Patch100:	grub-ext4-support.patch
URL:		http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	acpica
BuildRequires:	bcc
BuildRequires:	bluez-libs-devel
BuildRequires:	brlapi-devel
BuildRequires:	curl-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	gcc >= 5:3.4
BuildRequires:	gettext-devel
BuildRequires:	gnutls-devel
BuildRequires:	latex2html
BuildRequires:	libidn-devel
BuildRequires:	ncurses-devel
%if %{with ocaml}
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib
%endif
BuildRequires:	pciutils-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.647
#BuildRequires:	texlive-dvips
#BuildRequires:	texlive-latex-data
BuildRequires:	texlive-latex-psnfss
BuildRequires:	transfig
BuildRequires:	which
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ZopeInterface
Requires:	bridge-utils
Requires:	coreutils
Requires:	diffutils
Requires:	gawk
Requires:	iptables
Requires:	losetup
Requires:	net-tools
Requires:	python-%{name} = %{version}-%{release}
Requires:	rc-scripts
Requires:	sed
Requires:	systemd-units >= 38
Requires:	util-linux
Requires:	which
Obsoletes:	xen-doc
Obsoletes:	xen-udev
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# some PPC/SPARC boot image in ELF format
%define         _noautostrip    .*%{_datadir}/xen/qemu/openbios-.*

%description
This package contains the Xen hypervisor and Xen tools, needed to run
virtual machines on x86 systems, together with the kernel-xen*
packages. Information on how to use Xen can be found at the Xen
project pages.

Virtualisation can be used to run multiple versions or multiple Linux
distributions on one system, or to test untrusted applications in a
sandboxed environment. Note that the Xen technology is still in
development, and this RPM has received extremely little testing. Don't
be surprised if this RPM eats your data, drinks your coffee or makes
fun of you in front of your friends.

%description -l pl.UTF-8
Ten pakiet zawiera nadzorcę oraz narzędzia Xen, potrzebne do
uruchamiania wirtualnych maszyn w systemach x86, wraz z pakietami
kernel-xen*. Informacje jak używać Xena można znaleźć na stronach
projektu.

Wirtualizacja może być używana do uruchamiania wielu wersji lub wielu
dystrybucji Linuksa na jednym systemie lub do testowania nie zaufanych
aplikacji w odizolowanym środowisku. Należy zauważyć, że technologia
Xen jest ciągle rozwijana, a ten RPM był słabo testowany. Nie należy
być zdziwionym, jeśli ten pakiet zje dane, wypije całą kawę czy będzie
się wyśmiewał w obecności przyjaciół.

%package libs
Summary:	Xen libraries
Summary(pl.UTF-8):	Biblioteki Xena
Group:		Libraries

%description libs
Xen libraries.

%description libs -l pl.UTF-8
Biblioteki Xena.

%package devel
Summary:	Header files for Xen
Summary(pl.UTF-8):	Pliki nagłówkowe Xena
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Xen.

%description devel -l pl.UTF-8
Pliki nagłówkowe Xena.

%package static
Summary:	Static Xen libraries
Summary(pl.UTF-8):	Statyczne biblioteki Xena
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Xen libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Xena.

%package xend
Summary:	xend daemon
Summary(pl.UTF-8):	Demon xend
Group:		Daemons
Requires(post,preun,postun):	systemd-units >= 38
Requires:	systemd-units >= 38

%description xend
xend daemon.

%description xend -l pl.UTF-8
Demon xend.

%package -n ocaml-xen
Summary:	OCaml bindings for Xen
Summary(pl.UTF-8):	Wiązania OCamla dla Xena
License:	LGPL v2.1 with linking exception
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}
%requires_eq	ocaml-runtime

%description -n ocaml-xen
OCaml bindings for Xen.

%description -n ocaml-xen -l pl.UTF-8
Wiązania OCamla dla Xena.

%package -n ocaml-xen-devel
Summary:	OCaml bindings for Xen - development files
Summary(pl.UTF-8):	Wiązania OCamla dla Xena - pliki programistyczne
License:	LGPL v2.1 with linking exception
Group:		Development/Libraries
Requires:	ocaml-xen = %{version}-%{release}
%requires_eq	ocaml

%description -n ocaml-xen-devel
OCaml bindings for Xen - development files.

%description -n ocaml-xen-devel -l pl.UTF-8
Wiązania OCamla dla Xena - pliki programistyczne.

%package -n python-xen
Summary:	Xen Python modules
Summary(pl.UTF-8):	Moduły Pythona dla Xena
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}
Conflicts:	xen < 3.2.1-0.3

%description -n python-xen
Xen Python modules.

%description -n python-xen -l pl.UTF-8
Moduły Pythona dla Xena.

%package -n bash-completion-%{name}
Summary:    bash-completion for Xen (xl)
Summary(pl.UTF-8):	Bashowe dopełnianie poleceń dla Xena (xl)
Group:      Applications/Shells
Requires:   %{name} = %{version}-%{release}
Requires:   bash-completion

%description -n bash-completion-%{name}
This package provides bash-completion for Xen (xl).

%description -n bash-completion-%{name} -l pl.UTF-8
Ten pakiet zapewnia bashowe dopełnianie poleceń dla Xena (xl).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%{__rm} -v tools/check/*.orig

# stubdom sources
ln -s %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} stubdom
ln -s %{PATCH100} stubdom/grub.patches/99grub-ext4-support.patch
ln -s %{SOURCE15} tools/firmware/etherboot/ipxe.tar.gz

%build
export CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
export CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%{__make} dist-xen dist-tools dist-docs \
	%{!?with_ocaml:OCAML_TOOLS=n} \
	prefix=%{_prefix} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	V=1

unset CFLAGS
unset CXXFLAGS
%{__make} -j1 dist-stubdom \
	%{!?with_ocaml:OCAML_TOOLS=n} \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{xen/examples,modules-load.d,logrotate.d} \
	$RPM_BUILD_ROOT{/usr/lib/tmpfiles.d,%{systemdunitdir},/var/log/xen/console}

%{__make} -j1 install-xen install-tools install-stubdom install-docs \
	%{!?with_ocaml:OCAML_TOOLS=n} \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	HOTPLUGS=install-udev

%if "%{_lib}" == "lib64"
ln -s %{_prefix}/lib/%{name}/bin/qemu-dm $RPM_BUILD_ROOT%{_libdir}/%{name}/bin/qemu-dm
%endif

install %{SOURCE30} $RPM_BUILD_ROOT%{systemdunitdir}/proc-xen.mount
install %{SOURCE31} $RPM_BUILD_ROOT%{systemdunitdir}/var-lib-xenstored.mount
install %{SOURCE32} $RPM_BUILD_ROOT%{systemdunitdir}/blktapctrl.service
install %{SOURCE33} $RPM_BUILD_ROOT/etc/sysconfig/blktapctrl
install %{SOURCE34} $RPM_BUILD_ROOT%{systemdunitdir}/xenconsoled.service
install %{SOURCE35} $RPM_BUILD_ROOT/etc/sysconfig/xenconsoled
install %{SOURCE36} $RPM_BUILD_ROOT%{systemdunitdir}/xenstored.service
install %{SOURCE37} $RPM_BUILD_ROOT/etc/sysconfig/xenstored
install %{SOURCE38} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/xenstored.conf
install %{SOURCE39} $RPM_BUILD_ROOT%{systemdunitdir}/xend.service
install %{SOURCE40} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/xend.conf
install %{SOURCE41} $RPM_BUILD_ROOT%{systemdunitdir}/xen-watchdog.service
install %{SOURCE42} $RPM_BUILD_ROOT/etc/modules-load.d/xen-dom0.conf
# sysvinit scripts
%{__rm} $RPM_BUILD_ROOT/etc/rc.d/init.d/*
install %{SOURCE50} $RPM_BUILD_ROOT/etc/rc.d/init.d/xend
install %{SOURCE51} $RPM_BUILD_ROOT/etc/rc.d/init.d/xenconsoled
install %{SOURCE52} $RPM_BUILD_ROOT/etc/rc.d/init.d/xenstored
install %{SOURCE53} $RPM_BUILD_ROOT/etc/rc.d/init.d/xen-watchdog
install %{SOURCE54} $RPM_BUILD_ROOT/etc/rc.d/init.d/xendomains
install %{SOURCE55} $RPM_BUILD_ROOT/etc/logrotate.d/xen

mv $RPM_BUILD_ROOT/etc/xen/{xmexample*,examples}

cp -p tools/blktap/README{,.blktap}
cp -p tools/xenmon/README{,.xenmon}

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%py_postclean

# remove unneeded files
%{__rm} $RPM_BUILD_ROOT/boot/xen-4.1.gz
%{__rm} $RPM_BUILD_ROOT/boot/xen-4.gz
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/xen
%{__rm} $RPM_BUILD_ROOT%{_includedir}/%{name}/COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add xen-watchdog
/sbin/chkconfig --add xenconsoled
/sbin/chkconfig --add xenstored
/sbin/chkconfig --add xendomains
%systemd_post xen-watchdog.service xenconsoled.service xenstored.service

%preun
if [ "$1" = "0" ]; then
	%service xendomains stop
	/sbin/chkconfig --del xendomains

	%service xenconsoled stop
	/sbin/chkconfig --del xenconsoled

	%service xenstored stop
	/sbin/chkconfig --del xenstored

	%service xen-watchdog stop
	/sbin/chkconfig --del xen-watchdog
fi
%systemd_preun xen-watchdog.service xenconsoled.service xenstored.service

%postun
%systemd_reload

%post xend
/sbin/chkconfig --add xend
%systemd_post xend.service

%preun xend
if [ "$1" = "0" ]; then
	%service xend stop
	/sbin/chkconfig --del xend
fi
%systemd_preun xend.service

%postun xend
%systemd_reload

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README* docs/misc/* 
%doc docs/html/*
%doc tools/blktap/README.blktap tools/xenmon/README.xenmon
%doc tools/ioemu-dir/*.html
/boot/%{name}-syms-%{version}
/boot/%{name}-%{version}.gz
/boot/%{name}.gz
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/xenconsoled
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/xenstored
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/xendomains
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/xen
%attr(754,root,root) /etc/rc.d/init.d/xen-watchdog
%attr(754,root,root) /etc/rc.d/init.d/xenconsoled
%attr(754,root,root) /etc/rc.d/init.d/xenstored
%attr(754,root,root) /etc/rc.d/init.d/xendomains
%config(noreplace) %verify(not md5 mtime size) /etc/modules-load.d/xen-dom0.conf
%{systemdunitdir}/proc-xen.mount
%{systemdunitdir}/var-lib-xenstored.mount
%{systemdunitdir}/xen-watchdog.service
%{systemdunitdir}/xenconsoled.service
%{systemdunitdir}/xenstored.service
%dir %{_sysconfdir}/xen
%dir %{_sysconfdir}/xen/auto
%dir %{_sysconfdir}/xen/examples
%dir %{_sysconfdir}/xen/scripts
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xen/scripts/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xen/examples/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xen/README*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xen/cpupool
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xen/xl.conf
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/xen-backend.rules
%attr(755,root,root) %{_bindir}/pygrub
%attr(755,root,root) %{_bindir}/qemu-img-xen
%attr(755,root,root) %{_bindir}/qemu-nbd-xen
%attr(755,root,root) %{_bindir}/remus
%attr(755,root,root) %{_bindir}/xen-detect
%attr(755,root,root) %{_bindir}/xencons
%attr(755,root,root) %{_bindir}/xenstore*
%attr(755,root,root) %{_bindir}/xentrace*
%attr(755,root,root) %{_sbindir}/blktapctrl
%attr(755,root,root) %{_sbindir}/flask-*
%attr(755,root,root) %{_sbindir}/gdbsx
%attr(755,root,root) %{_sbindir}/gtrace*
%attr(755,root,root) %{_sbindir}/img2qcow
%attr(755,root,root) %{_sbindir}/kdd
%attr(755,root,root) %{_sbindir}/lock-util
%attr(755,root,root) %{_sbindir}/qcow-create
%attr(755,root,root) %{_sbindir}/qcow2raw
%attr(755,root,root) %{_sbindir}/tap-ctl
%attr(755,root,root) %{_sbindir}/tapdisk*
%attr(755,root,root) %{_sbindir}/td-util
%attr(755,root,root) %{_sbindir}/vhd-*
%attr(755,root,root) %{_sbindir}/xen-*
%attr(755,root,root) %{_sbindir}/xenbaked
%attr(755,root,root) %{_sbindir}/xenconsoled
%attr(755,root,root) %{_sbindir}/xenlockprof
%attr(755,root,root) %{_sbindir}/xenmon.py
%attr(755,root,root) %{_sbindir}/xenpaging
%attr(755,root,root) %{_sbindir}/xenperf
%attr(755,root,root) %{_sbindir}/xenpm
%attr(755,root,root) %{_sbindir}/xenpmd
%attr(755,root,root) %{_sbindir}/xenstored
%attr(755,root,root) %{_sbindir}/xentop
%attr(755,root,root) %{_sbindir}/xentrace_setmask
%attr(755,root,root) %{_sbindir}/xenwatchdogd
%attr(755,root,root) %{_sbindir}/xl
%attr(755,root,root) %{_sbindir}/xsview
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/bin
%attr(744,root,root) %{_libdir}/%{name}/bin/*
%if "%{_lib}" != "lib"
%dir %{_prefix}/lib/%{name}
%dir %{_prefix}/lib/%{name}/bin
%attr(755,root,root) %{_prefix}/lib/%{name}/bin/qemu-dm
%attr(755,root,root) %{_prefix}/lib/%{name}/bin/stubdom-dm
%attr(755,root,root) %{_prefix}/lib/%{name}/bin/stubdompath.sh
%endif
%dir %{_prefix}/lib/%{name}/boot
%{_prefix}/lib/%{name}/boot/ioemu-stubdom.gz
%{_prefix}/lib/%{name}/boot/pv-grub-x86_32.gz
%ifarch %{x8664}
%{_prefix}/lib/%{name}/boot/pv-grub-x86_64.gz
%endif
%attr(744,root,root) %{_prefix}/lib/%{name}/boot/hvmloader
%{_datadir}/xen
%{_mandir}/man1/xentop.1*
%{_mandir}/man1/xentrace_format.1*
%{_mandir}/man1/xm.1*
%{_mandir}/man5/xend-config.sxp.5*
%{_mandir}/man5/xmdomain.cfg.5*
%{_mandir}/man8/xentrace.8*
%{_sharedstatedir}/xen
%{_sharedstatedir}/xenstored
%dir /var/run/xenstored
%{systemdtmpfilesdir}/xenstored.conf
%dir %attr(0700,root,root) /var/log/xen
%dir %attr(0700,root,root) /var/log/xen/console

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libblktap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libblktap.so.3.0
%attr(755,root,root) %{_libdir}/libblktapctl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libblktapctl.so.1.0
%attr(755,root,root) %{_libdir}/libflask.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libflask.so.1.0
%attr(755,root,root) %{_libdir}/libfsimage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfsimage.so.1.0
%attr(755,root,root) %{_libdir}/libvhd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvhd.so.1.0
%attr(755,root,root) %{_libdir}/libxenctrl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxenctrl.so.4.0
%attr(755,root,root) %{_libdir}/libxenguest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxenguest.so.4.0
%attr(755,root,root) %{_libdir}/libxenlight.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxenlight.so.1.0
%attr(755,root,root) %{_libdir}/libxenstore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxenstore.so.3.0
%attr(755,root,root) %{_libdir}/libxlutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxlutil.so.1.0
%dir %{_libdir}/fs
%dir %{_libdir}/fs/ext2fs-lib
%dir %{_libdir}/fs/fat
%dir %{_libdir}/fs/iso9660
%dir %{_libdir}/fs/reiserfs
%dir %{_libdir}/fs/ufs
%dir %{_libdir}/fs/zfs
%attr(755,root,root) %{_libdir}/fs/*/fsimage.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libblktap.so
%attr(755,root,root) %{_libdir}/libblktapctl.so
%attr(755,root,root) %{_libdir}/libflask.so
%attr(755,root,root) %{_libdir}/libfsimage.so
%attr(755,root,root) %{_libdir}/libvhd.so
%attr(755,root,root) %{_libdir}/libxenctrl.so
%attr(755,root,root) %{_libdir}/libxenguest.so
%attr(755,root,root) %{_libdir}/libxenlight.so
%attr(755,root,root) %{_libdir}/libxenstore.so
%attr(755,root,root) %{_libdir}/libxlutil.so
%{_includedir}/_libxl_types.h
%{_includedir}/blktaplib.h
%{_includedir}/fsimage*.h
%{_includedir}/libxl*.h
%{_includedir}/xen*.h
%{_includedir}/xs*.h
%{_includedir}/xen

%files static
%defattr(644,root,root,755)
%{_libdir}/libblktap.a
%{_libdir}/libblktapctl.a
%{_libdir}/libflask.a
%{_libdir}/libvhd.a
%{_libdir}/libxenctrl.a
%{_libdir}/libxenguest.a
%{_libdir}/libxenlight.a
%{_libdir}/libxenstore.a
%{_libdir}/libxlutil.a

%files xend
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/blktapctrl
%{systemdunitdir}/blktapctrl.service
%{systemdunitdir}/xend.service
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/xend
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/xend.rules
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xen/xm*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xen/xend*
%attr(755,root,root) %{_sbindir}/xend
%attr(755,root,root) %{_sbindir}/xm
%dir %attr(700,root,root) /var/run/xend
%{systemdtmpfilesdir}/xend.conf

%if %{with ocaml}
%files -n ocaml-xen
%defattr(644,root,root,755)
%doc tools/ocaml/LICENSE
%attr(755,root,root) %{_sbindir}/oxenstored
%dir %{_libdir}/ocaml/site-lib/eventchn
%attr(755,root,root) %{_libdir}/ocaml/site-lib/eventchn/dlleventchn_stubs.so
%dir %{_libdir}/ocaml/site-lib/log
%attr(755,root,root) %{_libdir}/ocaml/site-lib/log/dllsyslog_stubs.so
%dir %{_libdir}/ocaml/site-lib/mmap
%attr(755,root,root) %{_libdir}/ocaml/site-lib/mmap/dllmmap_stubs.so
%dir %{_libdir}/ocaml/site-lib/xb
%attr(755,root,root) %{_libdir}/ocaml/site-lib/xb/dllxb_stubs.so
%dir %{_libdir}/ocaml/site-lib/xc
%attr(755,root,root) %{_libdir}/ocaml/site-lib/xc/dllxc_stubs.so
%dir %{_libdir}/ocaml/site-lib/xl
%attr(755,root,root) %{_libdir}/ocaml/site-lib/xl/dllxl_stubs.so

%files -n ocaml-xen-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/site-lib/eventchn/META
%{_libdir}/ocaml/site-lib/eventchn/libeventchn_stubs.a
%{_libdir}/ocaml/site-lib/eventchn/eventchn.a
%{_libdir}/ocaml/site-lib/eventchn/eventchn.cm[aix]*
%{_libdir}/ocaml/site-lib/log/META
%{_libdir}/ocaml/site-lib/log/libsyslog_stubs.a
%{_libdir}/ocaml/site-lib/log/log.a
%{_libdir}/ocaml/site-lib/log/*.cm[aix]*
%{_libdir}/ocaml/site-lib/mmap/META
%{_libdir}/ocaml/site-lib/mmap/libmmap_stubs.a
%{_libdir}/ocaml/site-lib/mmap/mmap.a
%{_libdir}/ocaml/site-lib/mmap/mmap.cm[aix]*
%dir %{_libdir}/ocaml/site-lib/uuid
%{_libdir}/ocaml/site-lib/uuid/META
%{_libdir}/ocaml/site-lib/uuid/uuid.a
%{_libdir}/ocaml/site-lib/uuid/uuid.cm[aix]*
%{_libdir}/ocaml/site-lib/xb/META
%{_libdir}/ocaml/site-lib/xb/libxb_stubs.a
%{_libdir}/ocaml/site-lib/xb/xb.a
%{_libdir}/ocaml/site-lib/xb/*.cm[aix]*
%{_libdir}/ocaml/site-lib/xc/META
%{_libdir}/ocaml/site-lib/xc/libxc_stubs.a
%{_libdir}/ocaml/site-lib/xc/xc.a
%{_libdir}/ocaml/site-lib/xc/xc.cm[aix]*
%{_libdir}/ocaml/site-lib/xl/META
%{_libdir}/ocaml/site-lib/xl/libxl_stubs.a
%{_libdir}/ocaml/site-lib/xl/xl.a
%{_libdir}/ocaml/site-lib/xl/xl.cm[aix]*
%dir %{_libdir}/ocaml/site-lib/xs
%{_libdir}/ocaml/site-lib/xs/META
%{_libdir}/ocaml/site-lib/xs/xs.a
%{_libdir}/ocaml/site-lib/xs/*.cm[aix]*
%{_libdir}/ocaml/site-lib/xs/xs*.mli
%endif

%files -n python-xen
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/fsimage.so
%{py_sitedir}/grub
%dir %{py_sitedir}/xen
%dir %{py_sitedir}/xen/lowlevel
%{py_sitedir}/xen/lowlevel/*.py*
%attr(755,root,root) %{py_sitedir}/xen/lowlevel/*.so
%{py_sitedir}/xen/remus
%{py_sitedir}/xen/sv
%{py_sitedir}/xen/util
%{py_sitedir}/xen/web
%{py_sitedir}/xen/xend
%{py_sitedir}/xen/xm
%{py_sitedir}/xen/xsview
%{py_sitedir}/xen/*.py*
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pygrub-0.3-py*.egg-info
%{py_sitedir}/xen-3.0-py*.egg-info
%endif

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
/etc/bash_completion.d/xl.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xen.spec,v $
Revision 1.117  2012/04/17 18:12:41  baggins
- rel 3
- better systemd deps

Revision 1.116  2012/04/13 16:39:26  qboosh
- pass V=1 to make (to avoid hiding compiler/linker command line)
- BR: OpenGL-devel bluez-libs-devel brlapi-devel gnutls-devel libX11-devel libXext-devel (for qemu binaries)

Revision 1.115  2012/04/10 18:18:45  qboosh
- added ocaml packages

Revision 1.114  2012/04/09 18:20:42  qboosh
- pl for bash-completion
- more verbose bin,lib,man files

Revision 1.113  2012/04/06 13:18:28  qboosh
- ensure udev files are installed

Revision 1.112  2012/04/05 14:01:42  mmazur
- gah, wrong dir

Revision 1.111  2012/04/05 13:59:33  mmazur
- put xend udev config file into the -xend subpackage

Revision 1.110  2012/03/08 07:08:05  baggins
- rel 2
- package log dirs

Revision 1.109  2012/03/05 13:47:53  baggins
- rel 1

Revision 1.108  2012/03/05 13:24:52  baggins
- pv-grub-x86_64 on 32bit archs

Revision 1.107  2012/03/05 13:15:53  baggins
- added ocaml bcond

Revision 1.106  2012/03/05 13:07:35  baggins
- install blktapctrl service
- add systemd bits

Revision 1.105  2012/03/05 12:58:39  baggins
- we want to manage xend ourselves

Revision 1.104  2012/03/04 23:56:17  baggins
- xz compression for domU kernels from upstream

Revision 1.103  2012/03/04 21:26:46  baggins
- install logrotate config

Revision 1.102  2012/03/04 20:00:47  baggins
- load some required modules in dom0

Revision 1.101  2012/03/04 18:51:43  baggins
- create qemu-dm symlink to make libvirt and other xen 3.4 compat software happy

Revision 1.100  2012/03/03 11:03:47  baggins
- xend configuration tweaks, don't need relocation enabled by default,
  but need unix socket for cli tools; let admin configure dom0 network;
  set a bit more memory for dom0

Revision 1.99  2012/03/03 09:42:12  baggins
- disable iptables on bridge, rationale here:
  https://bugzilla.redhat.com/show_bug.cgi?id=512206
  http://patchwork.ozlabs.org/patch/29319/
  http://lists.gnu.org/archive/html/qemu-devel/2009-07/msg01592.html

Revision 1.98  2012/02/29 21:10:03  baggins
- blktapctrl is started by xend, consider reworking xend
- verbose files to avoid packaging errors
- various bugfixes
- actually package ext4 support for stubdom grub

Revision 1.97  2012/02/29 19:55:49  baggins
- fix condition in xenstored.init
- properly install sysconfig files

Revision 1.96  2012/02/29 13:44:23  baggins
- added POSIX-sh compatible init scripts
- added systemd services and configs
- drop hvm bcond, we have bcc on all relevant archs
- updated files
- merged udev into main package (there is no point splitting this on modern systems)
- build stubdom in build not in install
- stubdom must be built separately (no prefix and no CFLAGS redefining)

Revision 1.95  2012/02/08 18:20:39  mmazur
- remove R: kernel(xen0)

Revision 1.94  2012/02/08 16:46:16  mmazur
- BR: acpica

Revision 1.93  2012/02/07 19:25:25  mmazur
- back to rel 0.1; it's far from production ready

Revision 1.92  2012/01/09 13:59:40  mmazur
- works; enough for a rel 1

Revision 1.91  2011/11/27 11:32:18  arekm
- xz compression support from upstream prepared by archlinux

Revision 1.90  2011/11/27 10:30:35  glen
- download stubdown sources to distfiles

Revision 1.89  2011/10/28 21:05:31  mmazur
- no point in having watchdog in a separate subpackage

Revision 1.88  2011/10/28 20:29:30  mmazur
- oh, right ocaml

Revision 1.87  2011/10/28 20:29:09  mmazur
- up to 4.1.2, rel 0.1

Revision 1.86  2011/10/25 10:29:52  marcus
- fix hvmloader (added -O1) for gcc 4.6

Revision 1.85  2011/01/31 12:20:25  marcus
- fix for python 2.7 and ncurses headers

Revision 1.84  2011/01/21 14:53:39  glen
- use __rm macro, to encourage cleaning up outdated rm (like xen-3.2 likely was)

Revision 1.83  2011/01/21 14:51:31  glen
- restore utf8 symbols

Revision 1.82  2011/01/21 12:22:35  marcus
- symbols fix

Revision 1.81  2011/01/21 11:40:42  marcus
- update to 3.4.3 (last before 4.0.x)

Revision 1.80  2010/02/16 17:08:40  pawelz
- package %{_libdir}/fs/zfs directory

Revision 1.79  2010/02/16 16:52:13  pawelz
- no versioned kernel(xen0) dependency (require some research, it *should*
  work with older xen0)

Revision 1.78  2010/02/13 20:33:19  sparky
- BR: SDL-devel, gettext-devel, pkgconfig

Revision 1.77  2010/02/13 19:03:48  pawelz
- don't use %{name} in noautostrip:
  < glen> pawelz: in some cases macros in do not get expanded

Revision 1.76  2010/02/13 18:43:27  pawelz
- noautostrip openbios (thx glen)

Revision 1.75  2010/02/13 18:18:48  pawelz
- more TODO (BR: crossppc-binutils ???)

Revision 1.74  2010/02/13 17:32:43  pawelz
- up to 3.4.2
- Does not build

Revision 1.73  2010/02/13 17:16:43  pawelz
- updated TeX BRs (tetex -> texlive)
- better comments (it's not only userspace. It is also xen kernel)

Revision 1.72  2008/08/30 21:09:47  wolvverine
- up to 3.3.0

Revision 1.71  2008/05/23 22:24:48  glen
- conflict before package split

Revision 1.70  2008-05-23 22:19:57  glen
- use util-linux dep

Revision 1.69  2008-05-11 19:30:20  glen
- spelling

Revision 1.68  2008-05-11 18:40:32  grzegorz
- hvmloader isn't built without bin86 which is req by bcc

Revision 1.67  2008-04-27 19:28:13  glen
- typo

Revision 1.66  2008-04-27 18:36:54  glen
- typo

Revision 1.65  2008-04-27 13:40:02  qboosh
- missing pl
- unified subpackages order: -devel/-static after -libs
- .so perms

Revision 1.64  2008-04-27 10:23:18  glen
- separate python modules
- remove also qemu docs

Revision 1.63  2008-04-27 10:10:55  glen
- epoch not defined, so don't use it

Revision 1.62  2008-04-27 10:09:50  glen
- remove conflicting manpages with qemu
- strict internal deps for -libs

Revision 1.61  2008-04-27 10:06:19  glen
- python packaging fixes (merge from XEN_3_0_2)

Revision 1.60  2008-04-26 21:12:35  glen
- install hotplug, avoid duplicate packaging

Revision 1.59  2008-04-26 16:19:24  glen
- pass CC also at install stage (used to check gcc version)

Revision 1.58  2008-04-26 15:42:04  glen
- update to 3.2.1, requires gcc >= 3.4

Revision 1.57  2008-02-29 12:28:47  arekm
- more R

Revision 1.56  2008-02-29 12:22:17  arekm
- R: gawk

Revision 1.55  2008-02-29 09:47:47  arekm
- fix/workaround build on x86_64 for now

Revision 1.54  2008-02-26 22:42:30  arekm
- final 3.2.0; lib64 systems need fix

Revision 1.53  2007-12-27 10:54:58  adamg
- updated to 3.2.0-rc4-pre; NFY

Revision 1.52  2007-04-20 20:58:04  qboosh
- added x8664 to EA (just builds on ac-amd64)

Revision 1.51  2007/04/20 09:55:30  qboosh
- separated -libs
- fs modules moved from -devel to -libs

Revision 1.50  2007/04/20 09:53:01  qboosh
- Twisted and libX11 are not used in this version

Revision 1.49  2007/04/19 22:55:08  qboosh
- use system libext2fs

Revision 1.48  2007/02/26 10:00:44  grzegorz
- added xen-blktap-no-aio-epoll.patch to allow tap:aio VBD
- rel 0.5

Revision 1.47  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.45  2007/02/10 22:42:19  alucard
- BR bin86 already needed by BR bcc...

Revision 1.44  2007/02/10 22:30:46  alucard
- BRs for hvm extensions

Revision 1.43  2007/02/10 17:33:59  alucard
- up to 3.0.4-1

Revision 1.42  2006/12/07 19:40:51  adamg
- unify pae bcond with kernel.spec

Revision 1.41  2006/11/25 23:40:07  shadzik
- don't try to package py_sitescriptdir which doesn't exist

Revision 1.40  2006/11/25 23:00:44  shadzik
- ups, re-add BR

Revision 1.39  2006/11/24 00:37:59  shadzik
- fix reisermodule build

Revision 1.38  2006/11/18 19:19:58  shadzik
- install missing dir /var/lib/xen/save and kill its duplicate in %file
- builds

Revision 1.37  2006/11/18 19:07:07  shadzik
- sed->tr (if you insit on using sed, give an apropriate BR)

Revision 1.36  2006/11/11 23:27:36  domelu
- missing dir /var/lib/xen/save

Revision 1.35  2006/11/01 13:08:42  grzegorz
- up to 3.0.3_0

Revision 1.34  2006/09/02 20:33:32  glen
- R(post): ldconfig

Revision 1.33  2006/08/19 13:05:23  adamg
- change Requires: kernel(xen) to Requires: kernel(xen0)

Revision 1.32  2006/07/26 14:19:03  adamg
- xen-xenstore-version.patch applied (fixes library soname)
- few more files added
- rel 0.3

Revision 1.31  2006/06/29 13:02:29  jajcus
- a patch added, which makes the bridge setup script work when the default route has 'onlink' attribute

Revision 1.30  2006/06/29 07:28:50  qboosh
- proper with_pae disabling

Revision 1.29  2006/06/29 06:30:46  jajcus
- enable PAE by default on archs supporting it

Revision 1.28  2006/06/28 08:28:58  jajcus
- with_pae bcond

Revision 1.27  2006/05/09 10:06:19  qboosh
- Obsoletes: xen-doc

Revision 1.26  2006/04/30 18:59:56  jajcus
- -doc subpackage removed, docs moved to %doc (a subpackage for a short
  documentation is overkill and installing documentation in %{_datadir} seems
  like a mistake)
- R: latex2html
- s,#!/bin/sh,#!/bin/bash, in many scripts -- they were written with Bash in mind
- s,#!/usr/bin/env python,#!/usr/bin/python, for all Python scripts
- Python scripts installed in %{py_scriptdir} and %{py_sitescriptdir}
- missing directories in /var/run added
- syms filename fixed
- many previously unpackaged files added to the package

Revision 1.25  2006/04/20 17:59:48  glen
- cosmetics

Revision 1.24  2006/04/20 17:58:55  glen
- use %service, add chkconfig deps

Revision 1.23  2006/04/19 12:26:42  cieciwa
- release 0.1,
- removed two patches
  Need more testing.

Revision 1.22  2006/04/19 12:12:39  cieciwa
- updated to version 3.0.2,
- requite kernel(xen)=%{_xen_version} - in this moment 3.0.2.

Revision 1.21  2005/09/01 17:27:03  paszczus
- real BR ; adapter removed it

Revision 1.20  2005/09/01 17:25:37  paszczus
- reverted (2.0.6 is back) cause linux-xen-2.0.6.patch needs update
- added BR: rpm-pythonprov
- adaptarized

Revision 1.16  2005/06/16 21:33:18  qboosh
- sorted deps

Revision 1.15  2005/06/16 21:15:29  speedy
- BR: which Req: bridge-utils

Revision 1.14  2005/06/13 12:45:34  speedy
- rel 0.3
- -scripts %patch

Revision 1.13  2005/06/12 22:38:32  speedy
- more and more...

Revision 1.12  2005/06/12 20:49:05  speedy
- Req: losetup

Revision 1.11  2005/06/12 18:24:54  speedy
- twisted.protocols.http has moved to twisted.web.http.
- missing directories

Revision 1.10  2005/06/10 11:53:08  speedy
- fixed BR

Revision 1.9  2005/06/10 10:01:41  speedy
- stable on HEAD, devel on DEVEL...
- version 2.0.6
- more BR

Revision 1.8  2005/04/20 14:24:36  paszczus
- updated to 20050420 snap
- changed Version number from 2 to 3 (this is 3.0-devel)
- builds.

Revision 1.7  2005/03/29 22:54:54  qboosh
- pl for -devel,-static; fixed -devel desc (what documentation?)

Revision 1.6  2005/03/29 16:27:04  arekm
- TODO: script for rc-boot

Revision 1.5  2005/03/29 16:25:32  arekm
- up to 20050329; add init scripts

Revision 1.4  2004/12/22 22:02:54  qboosh
- some files fixes (further needed), may require build/install fixes

Revision 1.3  2004/12/22 18:56:36  averne
- 755 for /etc/rc.d/init.d/xen*

Revision 1.2  2004/12/22 15:37:28  averne
- added BR: curl-devel, python-devel
- fixed to build

Revision 1.1  2004/12/22 14:37:25  arekm
- raw
